.case-studies {
  padding: 140px 0;
  transition: all ease-in-out 0.3s;
  background-color: var(--white);
  position: relative;
}

.case-studies.bg-green {
  background-color: var(--forestGreen);
}

.case-studies.bg-green .btn {
  background-color: var(--white);
  border: 1px solid var(--white);
  color: var(--text);
}

.case-studies.bg-green .btn::before {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iMTMiIHZpZXdCb3g9IjAgMCAxMiAxMyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTguNTg2ODcgMi45NTQ1MkwwLjAwMTE3NTQ1IDIuOTU0NTJMMC4wMDExNzU4NyAwLjk1NDgxOEgxMi4wMDA4TDEyLjAwMDggMS45NTQ2N0wxMi4wMDA4IDEyLjk1NDRMMTAuMDAxMSAxMi45NTQ0TDEwLjAwMTEgNC4zNjg3M0wxLjYxNzUxIDEyLjc1MjNMMC4yMDMyOTkgMTEuMzM4MUw4LjU4Njg3IDIuOTU0NTJaIiBmaWxsPSIjMUExQTFBIi8+Cjwvc3ZnPgo=");
}

.case-studies.bg-green .btn:hover::before {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTIiIGhlaWdodD0iMTMiIHZpZXdCb3g9IjAgMCAxMiAxMyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTguNTg2ODcgMi45NTQ1MkwwLjAwMTE3NTQ1IDIuOTU0NTJMMC4wMDExNzU4NyAwLjk1NDgxOEgxMi4wMDA4TDEyLjAwMDggMS45NTQ2N0wxMi4wMDA4IDEyLjk1NDRMMTAuMDAxMSAxMi45NTQ0TDEwLjAwMTEgNC4zNjg3M0wxLjYxNzUxIDEyLjc1MjNMMC4yMDMyOTkgMTEuMzM4MUw4LjU4Njg3IDIuOTU0NTJaIiBmaWxsPSJ3aGl0ZSIvPgo8L3N2Zz4K");
}

.case-studies.bg-green .btn:hover {
  background-color: var(--text) !important;
  border-color: var(--text) !important;
  color: var(--white);
}

.case-studies__wrapper {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 172px;
}

.case-studies__intro {
  max-width: 283px;
  padding-top: 40px;
  border-top: 1px solid var(--border1);
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.case-studies.bg-green .case-studies__intro {
  border-color: var(--light-green);
}

.case-studies__intro h2 {
  font-family: var(--heading-font);
  font-weight: 500;
  font-size: 38px;
  line-height: 42.25px;
  letter-spacing: -0.77px;
  transition: all ease-in-out 0.3s;
  color: var(--text);
}

.case-studies__intro h2 span {
  color: var(--blue);
  display: block;
}

.case-studies.bg-green .case-studies__intro h2 span {
  color: var(--light-green);
}

.case-studies__intro p {
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 16px;
  line-height: 25.6px;
  letter-spacing: 0%;
  color: var(--text);
  transition: all ease-in-out 0.3s;
}

.case-studies__card-wrapper {
  max-width: calc(100% - 455px);
  width: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 20px;
}

/* case-studies cards design */
.case-studies__card {
  max-width: 443px;
  width: 100%;
  display: flex;
  flex-direction: column;
  gap: 16px;
  text-decoration: none;
}

.case-studies__card-image {
  position: relative;
}
/* .case-studies__card-image::before, .case-studies__card-image::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: 0;
  height: 0;
  width: 100%;
  transition: height ease 0.2s;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.4) 100%);
  background: #0000003a;
}

.case-studies__card-image::after {
  transition: height ease 0.5s;
}

.case-studies__card:hover .case-studies__card-image::before, .case-studies__card:hover .case-studies__card-image::after {
  height: 100%;
} */

.case-studies__card:hover .read-more-btn, .case-studies__card:hover h3, .case-studies__card:hover p {
  color: var(--dark-blue);
  color: var(--blue);
}

.case-studies__card:hover .read-more-btn:before {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIHdpZHRoPSIxMyIgaGVpZ2h0PSIxMyIgdmlld0JveD0iMCAwIDEzIDEzIiBmaWxsPSJub25lIj4NCjxwYXRoIGQ9Ik05LjQ5NzAyIDIuOTU0NTJMMC45MTEzMzIgMi45NTQ1MkwwLjkxMTMzMiAwLjk1NDgxOEgxMi45MTA5TDEyLjkxMDkgMS45NTQ2N0wxMi45MTA5IDEyLjk1NDRMMTAuOTExMiAxMi45NTQ0TDEwLjkxMTIgNC4zNjg3M0wyLjUyNzY3IDEyLjc1MjNMMS4xMTM0NiAxMS4zMzgxTDkuNDk3MDIgMi45NTQ1MloiIGZpbGw9IiMyN2FhZTEiLz4NCjwvc3ZnPg==");
}

.case-studies__card:hover .case-studies__card-image img {
  transform: scale(1.05);
}

.case-studies__card-wrapper .case-studies__card {
  flex: 1 1 calc((100% - 20px) / 2);
}

.case-studies__card-image {
  position: relative;
  overflow: hidden;
}

.case-studies__card-image img {
  width: 100%;
  height: auto;
  max-height: 242px;
  object-fit: cover;
  display: block;
  transition: all ease-in-out 0.3s;
}


.case-studies__card-badge {
  position: absolute;
  top: 11px;
  left: 11px;
  background-color: var(--light-green);
  color: var(--text);
  padding: 11px 16.85px;
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 12px;
  line-height: 100%;
  text-transform: uppercase;
  color: var(--text);
  margin: 0;
  transition: all ease-in-out 0.3s;
  border: 1px solid #1f524dcc;
  z-index: 1;
}

.case-studies__card-content {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.case-studies__card-date {
  display: block;
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 13px;
  line-height: 20.8px;
  letter-spacing: 0.5px;
  text-transform: uppercase;
  color: var(--text);
  padding-bottom: 8px;
  border-bottom: 1px solid var(--border1);
  margin: 0;
  transition: all ease-in-out 0.3s;
  text-decoration: none;
}

.case-studies__card-content h3 {
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 21.94px;
  line-height: 28.8px;
  color: var(--text);
  margin: 0;
  transition: all ease-in-out 0.3s;
  text-decoration: none;
}

.case-studies__card-content a:has(h3) {
  text-decoration: none;
}

.case-studies__card-content p {
  font-family: var(--font-primary);
  font-weight: 400;
  font-size: 16px;
  line-height: 25.6px;
  letter-spacing: 0%;
  color: var(--text);
  margin: 0;
  transition: all ease-in-out 0.3s;
  text-decoration: none;
}

.case-studies .read-more-btn,
.case-studies .read-more-btn::before {
  transition: all ease-in-out 0.3s;
}

.case-studies.bg-green h2,
.case-studies.bg-green h3,
.case-studies.bg-green h4,
.case-studies.bg-green h5,
.case-studies.bg-green h6,
.case-studies.bg-green p {
  color: var(--white);
}

.case-studies.bg-green .case-studies__card-date {
  color: var(--white);
  border-color: var(--light-green);
}

.case-studies.bg-green .read-more-btn {
  color: var(--white);
}

.case-studies.bg-green .read-more-btn::before {
  background-image: url("data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMTMiIGhlaWdodD0iMTMiIHZpZXdCb3g9IjAgMCAxMyAxMyIgZmlsbD0ibm9uZSIgeG1sbnM9Imh0dHA6Ly93d3cudzMub3JnLzIwMDAvc3ZnIj4KPHBhdGggZD0iTTkuNTAxNzEgMi43OTMxNkgwLjkxNjAxNkwwLjkxNjAxNiAwLjc5MzQ1N0gxMi45MTU2TDEyLjkxNTYgMTIuNzkzMUwxMC45MTU5IDEyLjc5MzFMMTAuOTE1OSA0LjIwNzM3TDIuNTMyMzUgMTIuNTkwOUwxLjExODE0IDExLjE3NjdMOS41MDE3MSAyLjc5MzE2WiIgZmlsbD0id2hpdGUiLz4KPC9zdmc+Cg==");
}

/* -------------------------------------
  RESPONSIVE BREAKPOINTS: Case Studies
---------------------------------------- */

/* ≤1399px */
@media (max-width: 1399px) {
  .case-studies {
    padding: 120px 0;
  }
  .case-studies__wrapper {
    gap: 80px;
    justify-content: flex-start;
  }

  .case-studies__card-wrapper {
    max-width: calc(100% - 363px);
  }

  .case-studies__intro h2 {
    font-size: 34px;
    line-height: 40px;
  }
  .case-studies__card-content h3 {
    font-size: 20px;
    line-height: 26px;
  }
}

/* ≤1199px */
@media (max-width: 1199px) {
  .case-studies {
    padding: 100px 0;
  }
  .case-studies__wrapper {
    gap: 80px;
    flex-direction: column;
  }
  .case-studies__intro {
    max-width: 340px;
  }
  .case-studies__card-wrapper {
    max-width: 100%;
  }
  .case-studies__card-content h3 {
    font-size: 18px;
    line-height: 24px;
  }
  .case-studies__card-content p {
    font-size: 15px;
    line-height: 24px;
  }

  .case-studies__card-wrapper .case-studies__card {
    flex: 1 1 calc((100% - 10px) / 2);
    max-width: calc((100% - 20px) / 2);
  }
}

/* ≤991px */
@media (max-width: 991px) {
  .case-studies {
    padding: 80px 0;
  }
  .case-studies__wrapper {
    flex-direction: column;
    gap: 40px;
  }
  .case-studies__intro {
    max-width: 100%;
    width: 100%;
    padding-top: 20px;
    text-align: center;
    border-top: none;
  }

  .case-studies__intro .btn {
    margin: 0 auto;
  }

  .case-studies__intro h2 {
    font-size: 30px;
    line-height: 36px;
  }
  .case-studies__intro p {
    max-width: 500px;
    margin: 0 auto;
  }
  .case-studies__card-wrapper {
    max-width: 100%;
    justify-content: center;
  }
  .case-studies__card {
    flex: 1 1 calc((100% - 20px) / 2);
    max-width: 100%;
  }
}

/* ≤767px */
@media (max-width: 767px) {
  .case-studies {
    padding: 60px 0;
  }
  .case-studies__intro {
    padding-top: 0;
  }
  .case-studies__intro h2 {
    font-size: 26px;
    line-height: 32px;
  }
  .case-studies__card-wrapper {
    gap: 30px;
    flex-direction: column;
  }
  .case-studies__card-wrapper .case-studies__card {
    flex: 1 1 100%;
    max-width: 100%;
  }
  .case-studies__card-content h3 {
    font-size: 18px;
    line-height: 24px;
  }
  .case-studies__card-content p {
    font-size: 14px;
    line-height: 22px;
  }
}

/* ≤480px */
@media (max-width: 480px) {
  .case-studies {
    padding: 40px 0;
  }

  .case-studies__intro {
    gap: 14px;
    padding-top: 0;
  }

  .case-studies__intro h2 {
    font-size: 22px;
    line-height: 28px;
  }
  .case-studies__intro p {
    font-size: 14px;
    line-height: 22px;
  }
  .case-studies__card-badge {
    font-size: 11px;
    padding: 10px 12px;
  }
  .case-studies__card-date {
    font-size: 12px;
  }
  .case-studies__card-content h3 {
    font-size: 16px;
    line-height: 22px;
  }
  .case-studies__card-content p {
    font-size: 13px;
    line-height: 20px;
  }
}
